Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.ant
Class Database

    java.lang.Object
      com.nokia.ant.Database

    public class Database

extends java.lang.Object

Reads the current ant project and a fileset and generates a xml file with a summary of targets, macros and properties.

Constructor Summary
`Database(org.apache.tools.ant.Project project, org.apache.tools.ant.types.ResourceCollection rc, org.apache.tools.ant.Task task)`

Method Summary
`org.dom4j.Document` | `createDOM()`
`void` | `createXMLFile(java.io.File outputFile)`
`java.util.ArrayList` | `getAntFiles()`
`java.util.ArrayList` | `getAntFiles(org.apache.tools.ant.Project project)`
`java.util.ArrayList` | `getAntFiles(org.apache.tools.ant.Project project, boolean homeOnly)` Get the list of all Ant files we want to process.
`org.apache.tools.ant.Project` | `getProject()`
`void` | `log(java.lang.String msg, int level)`
`void` | `setDebug(boolean debug)`
`void` | `setHomeFilesOnly(boolean homeFilesOnly)`
`void` | `setRefid(org.apache.tools.ant.types.Reference r)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Database

    public Database(org.apache.tools.ant.Project project,
                    org.apache.tools.ant.types.ResourceCollection rc,
                    org.apache.tools.ant.Task task)

Method Detail

### getProject

    public org.apache.tools.ant.Project getProject()

### setDebug

    public void setDebug(boolean debug)

### setHomeFilesOnly

    public void setHomeFilesOnly(boolean homeFilesOnly)

### log

    public void log(java.lang.String msg,
                    int level)

### setRefid

    public void setRefid(org.apache.tools.ant.types.Reference r)

### createDOM

    public org.dom4j.Document createDOM()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createXMLFile

    public void createXMLFile(java.io.File outputFile)

### getAntFiles

    public java.util.ArrayList getAntFiles()

### getAntFiles

    public java.util.ArrayList getAntFiles(org.apache.tools.ant.Project project)

### getAntFiles

    public java.util.ArrayList getAntFiles(org.apache.tools.ant.Project project,
                                           boolean homeOnly)

  Get the list of all Ant files we want to process. These can be project and antlib files.

  Returns:
    antFiles a list of ant files to be processed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD